可以考虑下不用go mod的人群吗, 没法安装了

go get github.com/pingcap/tidb/

打开项目一看,go mod重定义了包的名子是v4

package github.com/pingcap/pd/v4/client: cannot find package "github.com/pingcap/pd/v4/client" in any of:

您好: 请问,具体是要安装什么? 原本采用哪种方式安装? 对您的影响是什么?

我需要装tikv的go client, 现有的项目没有用go mod也不计划使用,但咱们官方的包必须go mod才能工作

你好,

你的问题已收到,已反馈,请稍等

很抱歉为您带来不便。您是否一定要使用 TiDB 最新版本呢?如果不是必须的话,您可以先使用报名更改之前的版本。

好的哈,我先用旧版本,因为这个go.mod对项目侵入性太强了,导致项目必须用go.mod才行,大部分的go流行库都是支持go get安装的,希望tidb可以兼容下,因为很多项目一直在维护,没有办法再重新用go.mod

我看了一下,在 2 月 17 日之前发布的版本,都是可用的。比如 v3.0.9 之前的版本,及所有的 v2 版本。